<?php
class iImportData
{
    public static function select_products( $a_Param )
    {
        $s_Where = " ";
        
        if( $a_Param['codigo'] != "" ) { $s_Where .= " AND codigo='{$a_Param['codigo']}' "; }
        if( $a_Param['nombre'] != "" ) { $s_Where .= " AND nombre like '%{$a_Param['nombre']}%' "; }
        if( $a_Param['grupo_linea'] != "" ) { $s_Where .= " AND item_tipo_id='{$a_Param['grupo_linea']}' "; }
        if( $a_Param['linea_prod'] != "" ) { $s_Where .= " AND linea_prod_id='{$a_Param['linea_prod']}' "; }
        if( $a_Param['marca'] != "" ) { $s_Where .= " AND marca_id='{$a_Param['marca']}' "; }
        
        $s_Sql = "SELECT 
                        codigo, id_product, estado, nombre, minicodigo, descripcion_largo, descripcion_corto, item_tipo_id, item_tipo_desc, linea_prod_id, 
                        linea_prod_desc, marca_id, marca_desc, numero_parte, tipo_uso_desc, garantia_desc, dim_longitud, dim_alto, dim_ancho, dim_peso, 
                        dir_imagen_medio, dir_imagen_accesorio, dir_imagen_largo, precio_dol, precio_sol, stock, caracteristicas, fecha_reg, fecha_upd, 
                        fecha_precio_act, fecha_caracteristica, fecha_imagen_act 
                    FROM exp_producto
                    WHERE 1=1 $s_Where 
                    LIMIT 300 ;";
        $a_RowRs = array();
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $row = $o_ResultSet->getRow();
            $a_RowRs[] = $row;
        }
        return $a_RowRs;
    }

    public static function get_grupo_linea()
    {
        $s_Sql = "SELECT item_tipo_id, item_tipo_desc FROM exp_producto group by item_tipo_id, item_tipo_desc order by item_tipo_desc;";
        $a_RowRs = array();
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $row = $o_ResultSet->getRow();
            $a_RowRs[] = $row;
        }
        return $a_RowRs;
    }

    public static function get_linea_prod( $grupo_linea_id )
    {
        $s_Sql = "select linea_prod_id, linea_prod_desc from exp_producto where item_tipo_id='$grupo_linea_id' group by linea_prod_id, linea_prod_desc order by linea_prod_desc;";
        $a_RowRs = array();
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $row = $o_ResultSet->getRow();
            $a_RowRs[] = $row;
        }
        return $a_RowRs;
    }

    public static function get_marca()
    {
        $s_Sql = "SELECT marca_id, marca_desc FROM exp_producto group by marca_id, marca_desc order by marca_desc;";
        $a_RowRs = array();
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        while( $o_ResultSet->next() ) 
        {
            $row = $o_ResultSet->getRow();
            $a_RowRs[] = $row;
        }
        return $a_RowRs;
    }
}